Актуализиране на база знания
curl --request PUT \
--url https://call.aiployees.com/api/user/knowledgebases/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://call.aiployees.com/api/user/knowledgebases/{id}"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://call.aiployees.com/api/user/knowledgebases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Knowledgebase updated successfully.",
"data": {
"id": 1,
"name": "Updated Product Documentation",
"description": "Updated description for our technical docs",
"status": "active",
"status_label": "Active",
"updated_at": "2025-01-08T15:45:00.000000Z"
}
}
{
"error": "Knowledgebase not found."
}
{
"message": "The name may not be greater than 255 characters.",
"errors": {
"name": [
"The name may not be greater than 255 characters."
]
}
}
Бази от знания
Актуализиране на база знания
Актуализиране на съществуваща база знания
PUT
/
user
/
knowledgebases
/
{id}
Актуализиране на база знания
Този endpoint актуализира името и/или описанието на съществуваща база знания.
Path Parameters
integer
required
Уникалният идентификатор на базата знания за актуализиране
Request Body
string
Новото име за базата знания (максимум 255 символа)
string
Новото описание за базата знания (максимум 255 символа)
Response
string
Съобщение за успех
object
{
"message": "Knowledgebase updated successfully.",
"data": {
"id": 1,
"name": "Updated Product Documentation",
"description": "Updated description for our technical docs",
"status": "active",
"status_label": "Active",
"updated_at": "2025-01-08T15:45:00.000000Z"
}
}
{
"error": "Knowledgebase not found."
}
{
"message": "The name may not be greater than 255 characters.",
"errors": {
"name": [
"The name may not be greater than 255 characters."
]
}
}
Актуализирането на името или описанието на база знания не засяга нейните документи или статуса на обработката.
⌘I

